Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064134 - [RFE][python-cinderclient]: add a new sub command "stat" to display cinder statistics
Summary: [RFE][python-cinderclient]: add a new sub command "stat" to display cinder st...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/pyth...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 05:11 UTC by RHOS Integration
Modified: 2015-11-20 20:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:24:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-02-12 05:11:35 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/python-cinderclient/+spec/add-new-sub-command--stat.

Description:

currently we don't have any commands to get the statistics of cinder service.

If we have more number of volumes this command will help a lot to get the higher level information/statistics about cinder.

below is the proposed command detail

NAME - 'stat' or 'statistics'
PURPOSE - it will display the current statistics about cinder.

admin user can pass --all-tenant attribute to get the statistics for all the tenants.

SAMPLE OUTPUT:

devstack$ cinder stat
+----------------------------------+-------+
|                                  | Value |
+----------------------------------+-------+
|     Total number of Volumes      |   2   |
|    Total size of All volumes     |   3   |
| Total number of Attached volumes |   0   |
|   Total number of Free volumes   |   2   |
| Total number of Bottable volumes |   0   |
+----------------------------------+-------+

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.